# Interface SelfDestructDecoding

This type represents a decoding of unexpectedly empty return data from a successful call, indicating that the contract self-destructed.

#### Category

Output

#### Hierarchy

- SelfDestructDecoding

- Defined in codec/lib/types.ts:451

#####
Index

### Properties

decodingMode
interpretations
kind
status

## Properties

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:464

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:471

### kind

kind: "selfdestruct"

The kind of decoding; indicates that this is an SelfDestructDecoding.

- Defined in codec/lib/types.ts:455

### status

status: true

Indicates that this kind of decoding indicates a successful return.

- Defined in codec/lib/types.ts:459

Generated using TypeDoc